Get a contract deployment
GET /v2/contract/deployment/{id}
GET
/v2/contract/deployment/{id}
Get a specific contract deployment by ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The deployment ID to get
Query Parameters
Section titled “Query Parameters ” isShared
required
boolean
Whether the deployment is shared
Responses
Section titled “ Responses ”The deployment details
object
query
required
The query parameters
object
deploymentId
required
The deployment ID
string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819 methodName
required
The method name
string
balanceOf paramCollection
required
The parameters for the method
Array<string>
[ "0x1234567890123456789012345678901234567890"] isShared
required
Whether the deployment is shared
boolean
response
required
The response from the contract method
object
{ "balance": "1000000000000000000"}Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error